<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::utils::logger::test Namespace Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils.html">utils</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger.html">logger</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html">test</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::utils::logger::test Namespace Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_logger.html">MockLogger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_module_logger.html">MockModuleLogger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_test_logger.html">TestLogger</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a44abb51c3ab8fbfa0391c563151598f7"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a44abb51c3ab8fbfa0391c563151598f7">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>, test_readStatusCodeSuccess)</td></tr>
<tr class="memdesc:a44abb51c3ab8fbfa0391c563151598f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that isStatusCodeSuccess returns true for <code>SUCCESS_STATUS_CODE</code>.  <a href="#a44abb51c3ab8fbfa0391c563151598f7">More...</a><br /></td></tr>
<tr class="separator:a44abb51c3ab8fbfa0391c563151598f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07993c0457ae53852a576d07075cbaac"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a07993c0457ae53852a576d07075cbaac">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>, test_readStatusCodePartialContentSuccess)</td></tr>
<tr class="memdesc:a07993c0457ae53852a576d07075cbaac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that isStatusCodeSuccess returns true for <code>SUCCESS_PARTIAL_CONTENT_STATUS_CODE</code>.  <a href="#a07993c0457ae53852a576d07075cbaac">More...</a><br /></td></tr>
<tr class="separator:a07993c0457ae53852a576d07075cbaac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa591bb417757e030a5fe12c51d51ca5b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#aa591bb417757e030a5fe12c51d51ca5b">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>, test_readStatusCodeNotSuccess)</td></tr>
<tr class="memdesc:aa591bb417757e030a5fe12c51d51ca5b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that isStatusCodeSuccess returns false for <code>BAD_STATUS_CODE</code>.  <a href="#aa591bb417757e030a5fe12c51d51ca5b">More...</a><br /></td></tr>
<tr class="separator:aa591bb417757e030a5fe12c51d51ca5b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6d156b58353ed7375580a843520189d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#ac6d156b58353ed7375580a843520189d">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>, test_readStatusCodeMoreThanOnce)</td></tr>
<tr class="memdesc:ac6d156b58353ed7375580a843520189d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that we can use <code>getStatusCode()</code> to get the status code after using <code><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#afd57416e20ad3bd8f0c15434b77e7afb">isStatusCodeSuccess()</a></code>.  <a href="#ac6d156b58353ed7375580a843520189d">More...</a><br /></td></tr>
<tr class="separator:ac6d156b58353ed7375580a843520189d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ee2835a02e0be3d0c5e622cb721c315"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a8ee2835a02e0be3d0c5e622cb721c315">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>, test_readContentTypeMoreThanOnce)</td></tr>
<tr class="memdesc:a8ee2835a02e0be3d0c5e622cb721c315"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that we can use <code>getContentType()</code> to get the status code after using <code><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#afd57416e20ad3bd8f0c15434b77e7afb">isStatusCodeSuccess()</a></code>.  <a href="#a8ee2835a02e0be3d0c5e622cb721c315">More...</a><br /></td></tr>
<tr class="separator:a8ee2835a02e0be3d0c5e622cb721c315"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa7b62f889ac3d80ee433fba77ea53e0c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#aa7b62f889ac3d80ee433fba77ea53e0c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>, test_getDataStream)</td></tr>
<tr class="memdesc:aa7b62f889ac3d80ee433fba77ea53e0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that we can retrieve the attachment reader, even if it's nullptr.  <a href="#aa7b62f889ac3d80ee433fba77ea53e0c">More...</a><br /></td></tr>
<tr class="separator:aa7b62f889ac3d80ee433fba77ea53e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a103d7de6338dc58ec2af896171363f5d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a103d7de6338dc58ec2af896171363f5d">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>, test_emptyStream)</td></tr>
<tr class="memdesc:a103d7de6338dc58ec2af896171363f5d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Test that a new <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_stream.html">LogEntryStream</a> instance's c_str() returns an empty string.  <a href="#a103d7de6338dc58ec2af896171363f5d">More...</a><br /></td></tr>
<tr class="separator:a103d7de6338dc58ec2af896171363f5d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1625fa64dfac4d8919b5a51ea2429004"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a1625fa64dfac4d8919b5a51ea2429004">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>, test_shortString)</td></tr>
<tr class="memdesc:a1625fa64dfac4d8919b5a51ea2429004"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send a character to an empty <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_stream.html">LogEntryStream</a>. Expect that c_str() returns a string with just that character.  <a href="#a1625fa64dfac4d8919b5a51ea2429004">More...</a><br /></td></tr>
<tr class="separator:a1625fa64dfac4d8919b5a51ea2429004"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae745d4fdfa64dd44039899d07cc4276d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#ae745d4fdfa64dd44039899d07cc4276d">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>, test_mediumString)</td></tr>
<tr class="memdesc:ae745d4fdfa64dd44039899d07cc4276d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send a medium sized string test to an empty <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_stream.html">LogEntryStream</a>. Expect that c_str() returns a matching string.  <a href="#ae745d4fdfa64dd44039899d07cc4276d">More...</a><br /></td></tr>
<tr class="separator:ae745d4fdfa64dd44039899d07cc4276d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75e7e7c208bd2c63c15cbdc173efc951"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a75e7e7c208bd2c63c15cbdc173efc951">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>, test_longString)</td></tr>
<tr class="memdesc:a75e7e7c208bd2c63c15cbdc173efc951"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send a long string test to an empty <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_stream.html">LogEntryStream</a>. Expect that c_str() returns a matching string.  <a href="#a75e7e7c208bd2c63c15cbdc173efc951">More...</a><br /></td></tr>
<tr class="separator:a75e7e7c208bd2c63c15cbdc173efc951"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2f3ee26f1ae204f106a833145f6aa48"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#aa2f3ee26f1ae204f106a833145f6aa48">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>, test_aFewStrings)</td></tr>
<tr class="memdesc:aa2f3ee26f1ae204f106a833145f6aa48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send a few short strings. Expect that c_str() returns the concatenation of those strings.  <a href="#aa2f3ee26f1ae204f106a833145f6aa48">More...</a><br /></td></tr>
<tr class="separator:aa2f3ee26f1ae204f106a833145f6aa48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cfcd38b098702c2e4dab6a49c110d7e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a3cfcd38b098702c2e4dab6a49c110d7e">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>, test_aLotOfStrings)</td></tr>
<tr class="memdesc:a3cfcd38b098702c2e4dab6a49c110d7e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send a bunch of ints and strings. Expect that c_str() matches the result of sending the same to ostringstream.  <a href="#a3cfcd38b098702c2e4dab6a49c110d7e">More...</a><br /></td></tr>
<tr class="separator:a3cfcd38b098702c2e4dab6a49c110d7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6909c0d27d44647844a9104c5f9c01fe"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a6909c0d27d44647844a9104c5f9c01fe">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logDebug9Level)</td></tr>
<tr class="separator:a6909c0d27d44647844a9104c5f9c01fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2e4a8cc50e66523ce3a71dca4f3b15fc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a2e4a8cc50e66523ce3a71dca4f3b15fc">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logDebug8Level)</td></tr>
<tr class="separator:a2e4a8cc50e66523ce3a71dca4f3b15fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a740dce4da9c93723cb7e22a014b09175"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a740dce4da9c93723cb7e22a014b09175">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logDebug7Level)</td></tr>
<tr class="separator:a740dce4da9c93723cb7e22a014b09175"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f5fda3e7a1a71dcf63767094bd865ab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a7f5fda3e7a1a71dcf63767094bd865ab">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logDebug6Level)</td></tr>
<tr class="separator:a7f5fda3e7a1a71dcf63767094bd865ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af93223b61786a4ff821356ff1bd64edc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#af93223b61786a4ff821356ff1bd64edc">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logDebug5Level)</td></tr>
<tr class="separator:af93223b61786a4ff821356ff1bd64edc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad50e86d31f91b57594b6405e0e542a1c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#ad50e86d31f91b57594b6405e0e542a1c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logDebug4Level)</td></tr>
<tr class="separator:ad50e86d31f91b57594b6405e0e542a1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9118a80ffcdb12802ae65e4143dbf93c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a9118a80ffcdb12802ae65e4143dbf93c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logDebug3Level)</td></tr>
<tr class="separator:a9118a80ffcdb12802ae65e4143dbf93c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a941157ecb8bc91bbce7e7053a26f5026"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a941157ecb8bc91bbce7e7053a26f5026">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logDebug2Level)</td></tr>
<tr class="separator:a941157ecb8bc91bbce7e7053a26f5026"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb8090d89bd2036c7f2b6279b6b4d5b9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#aeb8090d89bd2036c7f2b6279b6b4d5b9">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logDebug1Level)</td></tr>
<tr class="separator:aeb8090d89bd2036c7f2b6279b6b4d5b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a701087a6570dc33ceb60e928818d9c01"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a701087a6570dc33ceb60e928818d9c01">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logDebug0Level)</td></tr>
<tr class="separator:a701087a6570dc33ceb60e928818d9c01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fa95684b6cdc65a57761162fd69ad31"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a2fa95684b6cdc65a57761162fd69ad31">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logInfoLevel)</td></tr>
<tr class="separator:a2fa95684b6cdc65a57761162fd69ad31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad9feada159a3e79bcb2387c0db064cc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#aad9feada159a3e79bcb2387c0db064cc">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logWarnLevel)</td></tr>
<tr class="separator:aad9feada159a3e79bcb2387c0db064cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cba588a5bacdb6a794d2b017ab8bead"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a3cba588a5bacdb6a794d2b017ab8bead">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logErrorLevel)</td></tr>
<tr class="separator:a3cba588a5bacdb6a794d2b017ab8bead"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad34c704b2dde927fcfdd7abeefc3d31b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#ad34c704b2dde927fcfdd7abeefc3d31b">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logCriticalLevel)</td></tr>
<tr class="separator:ad34c704b2dde927fcfdd7abeefc3d31b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab92f97cd7555414b8034b1a88a201cab"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#ab92f97cd7555414b8034b1a88a201cab">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_logNoneLevel)</td></tr>
<tr class="separator:ab92f97cd7555414b8034b1a88a201cab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ca98527fb742e55aa0e08c49204aa18"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a7ca98527fb742e55aa0e08c49204aa18">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_nullInputs)</td></tr>
<tr class="separator:a7ca98527fb742e55aa0e08c49204aa18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6d352cfa44ac1fd0299ef6cde43c8eb"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#aa6d352cfa44ac1fd0299ef6cde43c8eb">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_verifyTime)</td></tr>
<tr class="separator:aa6d352cfa44ac1fd0299ef6cde43c8eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8d4cb2adf58b8b24e1789f0982c28af"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#aa8d4cb2adf58b8b24e1789f0982c28af">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_verifyThreadMoniker)</td></tr>
<tr class="separator:aa8d4cb2adf58b8b24e1789f0982c28af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a024ba028e75476534532f12049365f66"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a024ba028e75476534532f12049365f66">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_verifySource)</td></tr>
<tr class="separator:a024ba028e75476534532f12049365f66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f0107e0122588d98fd157b20efb7d8c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a8f0107e0122588d98fd157b20efb7d8c">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_verifyEvent)</td></tr>
<tr class="separator:a8f0107e0122588d98fd157b20efb7d8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91fe56688d12fdf90e06e569235a125b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a91fe56688d12fdf90e06e569235a125b">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_verifyMetadata)</td></tr>
<tr class="separator:a91fe56688d12fdf90e06e569235a125b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86e1737c848dc318488936425c238e9b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a86e1737c848dc318488936425c238e9b">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_verifyMessage)</td></tr>
<tr class="separator:a86e1737c848dc318488936425c238e9b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcdab4e1e0511f2aef56826472daa2ca"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#abcdab4e1e0511f2aef56826472daa2ca">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_sensitiveDataSuppressed)</td></tr>
<tr class="separator:abcdab4e1e0511f2aef56826472daa2ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace969a996a35a90951cfe7fc014ddd85"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#ace969a996a35a90951cfe7fc014ddd85">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_moduleLoggerObserver)</td></tr>
<tr class="separator:ace969a996a35a90951cfe7fc014ddd85"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a678a35c85e4173f7a97b31c48ac58c60"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a678a35c85e4173f7a97b31c48ac58c60">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_multipleModuleLoggerObservers)</td></tr>
<tr class="separator:a678a35c85e4173f7a97b31c48ac58c60"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a134c8d457f2069aa0ffe14a3d9dc8686"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a134c8d457f2069aa0ffe14a3d9dc8686">TEST_F</a> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>, test_changeSinkLogger)</td></tr>
<tr class="separator:a134c8d457f2069aa0ffe14a3d9dc8686"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ad4c136bfa340e496db9c869e15f76a4f"><td class="memItemLeft" align="right" valign="top">static const long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#ad4c136bfa340e496db9c869e15f76a4f">SUCCESS_STATUS_CODE</a> {200}</td></tr>
<tr class="memdesc:ad4c136bfa340e496db9c869e15f76a4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">A status code that represents success.  <a href="#ad4c136bfa340e496db9c869e15f76a4f">More...</a><br /></td></tr>
<tr class="separator:ad4c136bfa340e496db9c869e15f76a4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af88c4517d31415e7a774ca4550a76d42"><td class="memItemLeft" align="right" valign="top">static const long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#af88c4517d31415e7a774ca4550a76d42">SUCCESS_PARTIAL_CONTENT_STATUS_CODE</a> {206}</td></tr>
<tr class="memdesc:af88c4517d31415e7a774ca4550a76d42"><td class="mdescLeft">&#160;</td><td class="mdescRight">A status code that represents partial content.  <a href="#af88c4517d31415e7a774ca4550a76d42">More...</a><br /></td></tr>
<tr class="separator:af88c4517d31415e7a774ca4550a76d42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e547fd4f132292717ab0f5631be3a43"><td class="memItemLeft" align="right" valign="top">static const long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a0e547fd4f132292717ab0f5631be3a43">BAD_STATUS_CODE</a> {0}</td></tr>
<tr class="memdesc:a0e547fd4f132292717ab0f5631be3a43"><td class="mdescLeft">&#160;</td><td class="mdescRight">A status code that represents failure.  <a href="#a0e547fd4f132292717ab0f5631be3a43">More...</a><br /></td></tr>
<tr class="separator:a0e547fd4f132292717ab0f5631be3a43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31fd125b90a1e4c3435a6e92b2c0d339"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a31fd125b90a1e4c3435a6e92b2c0d339">TEST_CONTENT_TYPE</a> {&quot;unknown&quot;}</td></tr>
<tr class="memdesc:a31fd125b90a1e4c3435a6e92b2c0d339"><td class="mdescLeft">&#160;</td><td class="mdescRight">A content type.  <a href="#a31fd125b90a1e4c3435a6e92b2c0d339">More...</a><br /></td></tr>
<tr class="separator:a31fd125b90a1e4c3435a6e92b2c0d339"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7086e216e7e91137af5fa81a714bbc7f"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a7086e216e7e91137af5fa81a714bbc7f">TEST_SOURCE_STRING</a> = &quot;&lt;The_Source_Of_Log_Entries&gt;&quot;</td></tr>
<tr class="memdesc:a7086e216e7e91137af5fa81a714bbc7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">String used to test that the source component is logged.  <a href="#a7086e216e7e91137af5fa81a714bbc7f">More...</a><br /></td></tr>
<tr class="separator:a7086e216e7e91137af5fa81a714bbc7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79f4918790fbf5e8806b654e8f09999e"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a79f4918790fbf5e8806b654e8f09999e">TEST_EVENT_STRING</a> = &quot;[Some_Event_Worth_Logging]&quot;</td></tr>
<tr class="memdesc:a79f4918790fbf5e8806b654e8f09999e"><td class="mdescLeft">&#160;</td><td class="mdescRight">String used to test that the event component is logged.  <a href="#a79f4918790fbf5e8806b654e8f09999e">More...</a><br /></td></tr>
<tr class="separator:a79f4918790fbf5e8806b654e8f09999e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abde2ac650cb456ba00256c5c1418c3a8"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#abde2ac650cb456ba00256c5c1418c3a8">UNESCAPED_METADATA_VALUE</a> = R&quot;(reserved_chars['\' ',' ':' '='])&quot;</td></tr>
<tr class="memdesc:abde2ac650cb456ba00256c5c1418c3a8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Metadata value with characters that must be escaped, to exercise the code that escapes metadata values.  <a href="#abde2ac650cb456ba00256c5c1418c3a8">More...</a><br /></td></tr>
<tr class="separator:abde2ac650cb456ba00256c5c1418c3a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a006c8f71d8365803d3dcf44823030cf3"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a006c8f71d8365803d3dcf44823030cf3">TEST_MESSAGE_STRING</a> = &quot;Hello World!&quot;</td></tr>
<tr class="memdesc:a006c8f71d8365803d3dcf44823030cf3"><td class="mdescLeft">&#160;</td><td class="mdescRight">String used to test that the message component is logged.  <a href="#a006c8f71d8365803d3dcf44823030cf3">More...</a><br /></td></tr>
<tr class="separator:a006c8f71d8365803d3dcf44823030cf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a646e73e50e5ed8a636853f01bf5caa04"><td class="memItemLeft" align="right" valign="top">static const std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a646e73e50e5ed8a636853f01bf5caa04">TEST_MESSAGE_STRING_1</a> = &quot;World Hello!&quot;</td></tr>
<tr class="memdesc:a646e73e50e5ed8a636853f01bf5caa04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Another String used to test that the message component is logged.  <a href="#a646e73e50e5ed8a636853f01bf5caa04">More...</a><br /></td></tr>
<tr class="separator:a646e73e50e5ed8a636853f01bf5caa04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4dd1e7f440c35ca2410761d8c795375"><td class="memItemLeft" align="right" valign="top">static const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#ab4dd1e7f440c35ca2410761d8c795375">TEST_MESSAGE_CONST_NULL_CHAR_PTR</a> = nullptr</td></tr>
<tr class="memdesc:ab4dd1e7f440c35ca2410761d8c795375"><td class="mdescLeft">&#160;</td><td class="mdescRight">A const char* nullptr to verify the logger won't crash in degenerate cases.  <a href="#ab4dd1e7f440c35ca2410761d8c795375">More...</a><br /></td></tr>
<tr class="separator:ab4dd1e7f440c35ca2410761d8c795375"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ddad955b6394cb7c9c0d4bf111866bd"><td class="memItemLeft" align="right" valign="top">static char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#a6ddad955b6394cb7c9c0d4bf111866bd">TEST_MESSAGE_NULL_CHAR_PTR</a> = nullptr</td></tr>
<tr class="memdesc:a6ddad955b6394cb7c9c0d4bf111866bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">A char* nullptr to verify the logger won't crash in degenerate cases.  <a href="#a6ddad955b6394cb7c9c0d4bf111866bd">More...</a><br /></td></tr>
<tr class="separator:a6ddad955b6394cb7c9c0d4bf111866bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa083737b45e773066295f2b795682edd"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_logger.html">MockLogger</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test.html#aa083737b45e773066295f2b795682edd">g_log</a></td></tr>
<tr class="memdesc:aa083737b45e773066295f2b795682edd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Global to hold on to the current <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_logger.html">MockLogger</a></code> to use.  <a href="#aa083737b45e773066295f2b795682edd">More...</a><br /></td></tr>
<tr class="separator:aa083737b45e773066295f2b795682edd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a103d7de6338dc58ec2af896171363f5d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a103d7de6338dc58ec2af896171363f5d">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[1/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_emptyStream&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that a new <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_stream.html">LogEntryStream</a> instance's c_str() returns an empty string. </p>

</div>
</div>
<a id="a1625fa64dfac4d8919b5a51ea2429004"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1625fa64dfac4d8919b5a51ea2429004">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[2/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_shortString&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send a character to an empty <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_stream.html">LogEntryStream</a>. Expect that c_str() returns a string with just that character. </p>

</div>
</div>
<a id="ae745d4fdfa64dd44039899d07cc4276d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae745d4fdfa64dd44039899d07cc4276d">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[3/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_mediumString&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send a medium sized string test to an empty <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_stream.html">LogEntryStream</a>. Expect that c_str() returns a matching string. </p>

</div>
</div>
<a id="a75e7e7c208bd2c63c15cbdc173efc951"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75e7e7c208bd2c63c15cbdc173efc951">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[4/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_longString&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send a long string test to an empty <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry_stream.html">LogEntryStream</a>. Expect that c_str() returns a matching string. </p>

</div>
</div>
<a id="aa2f3ee26f1ae204f106a833145f6aa48"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa2f3ee26f1ae204f106a833145f6aa48">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[5/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_aFewStrings&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send a few short strings. Expect that c_str() returns the concatenation of those strings. </p>

</div>
</div>
<a id="a44abb51c3ab8fbfa0391c563151598f7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44abb51c3ab8fbfa0391c563151598f7">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[6/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_readStatusCodeSuccess&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that isStatusCodeSuccess returns true for <code>SUCCESS_STATUS_CODE</code>. </p>

</div>
</div>
<a id="a07993c0457ae53852a576d07075cbaac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a07993c0457ae53852a576d07075cbaac">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[7/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_readStatusCodePartialContentSuccess&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that isStatusCodeSuccess returns true for <code>SUCCESS_PARTIAL_CONTENT_STATUS_CODE</code>. </p>

</div>
</div>
<a id="a3cfcd38b098702c2e4dab6a49c110d7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cfcd38b098702c2e4dab6a49c110d7e">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[8/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_log_entry_stream_test.html">LogEntryStreamTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_aLotOfStrings&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Send a bunch of ints and strings. Expect that c_str() matches the result of sending the same to ostringstream. </p>

</div>
</div>
<a id="aa591bb417757e030a5fe12c51d51ca5b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa591bb417757e030a5fe12c51d51ca5b">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[9/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_readStatusCodeNotSuccess&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that isStatusCodeSuccess returns false for <code>BAD_STATUS_CODE</code>. </p>

</div>
</div>
<a id="ac6d156b58353ed7375580a843520189d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6d156b58353ed7375580a843520189d">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[10/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_readStatusCodeMoreThanOnce&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that we can use <code>getStatusCode()</code> to get the status code after using <code><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#afd57416e20ad3bd8f0c15434b77e7afb">isStatusCodeSuccess()</a></code>. </p>

</div>
</div>
<a id="a8ee2835a02e0be3d0c5e622cb721c315"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8ee2835a02e0be3d0c5e622cb721c315">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[11/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_readContentTypeMoreThanOnce&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that we can use <code>getContentType()</code> to get the status code after using <code><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1utils_1_1http.html#afd57416e20ad3bd8f0c15434b77e7afb">isStatusCodeSuccess()</a></code>. </p>

</div>
</div>
<a id="aa7b62f889ac3d80ee433fba77ea53e0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa7b62f889ac3d80ee433fba77ea53e0c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[12/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_h_t_t_p_content_test.html">HTTPContentTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_getDataStream&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Test that we can retrieve the attachment reader, even if it's nullptr. </p>

</div>
</div>
<a id="a6909c0d27d44647844a9104c5f9c01fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6909c0d27d44647844a9104c5f9c01fe">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[13/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logDebug9Level&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to DEBUG9. This test sets the log level to DEBUG9 and then verifies that all logs (except those compiled off) are passed through to the emit() method. </p>

</div>
</div>
<a id="a2e4a8cc50e66523ce3a71dca4f3b15fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2e4a8cc50e66523ce3a71dca4f3b15fc">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[14/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logDebug8Level&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to DEBUG8. This test sets the log level to DEBUG8 and then verifies that all logs (except those compiled off) are passed through to the emit() method. </p>

</div>
</div>
<a id="a740dce4da9c93723cb7e22a014b09175"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a740dce4da9c93723cb7e22a014b09175">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[15/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logDebug7Level&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to DEBUG7. This test sets the log level to DEBUG7 and then verifies that all logs (except those compiled off) are passed through to the emit() method. </p>

</div>
</div>
<a id="a7f5fda3e7a1a71dcf63767094bd865ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f5fda3e7a1a71dcf63767094bd865ab">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[16/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logDebug6Level&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to DEBUG6. This test sets the log level to DEBUG6 and then verifies that all logs (except those compiled off) are passed through to the emit() method. </p>

</div>
</div>
<a id="af93223b61786a4ff821356ff1bd64edc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af93223b61786a4ff821356ff1bd64edc">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[17/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logDebug5Level&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to DEBUG5. This test sets the log level to DEBUG5 and then verifies that all logs (except those compiled off) are passed through to the emit() method. </p>

</div>
</div>
<a id="ad50e86d31f91b57594b6405e0e542a1c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad50e86d31f91b57594b6405e0e542a1c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[18/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logDebug4Level&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to DEBUG4. This test sets the log level to DEBUG4 and then verifies that all logs (except those compiled off) are passed through to the emit() method. </p>

</div>
</div>
<a id="a9118a80ffcdb12802ae65e4143dbf93c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9118a80ffcdb12802ae65e4143dbf93c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[19/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logDebug3Level&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to DEBUG3. This test sets the log level to DEBUG3 and then verifies that all logs (except those compiled off) are passed through to the emit() method. </p>

</div>
</div>
<a id="a941157ecb8bc91bbce7e7053a26f5026"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a941157ecb8bc91bbce7e7053a26f5026">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[20/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logDebug2Level&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to DEBUG2. This test sets the log level to DEBUG2 and then verifies that all logs (except those compiled off) are passed through to the emit() method. </p>

</div>
</div>
<a id="aeb8090d89bd2036c7f2b6279b6b4d5b9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb8090d89bd2036c7f2b6279b6b4d5b9">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[21/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logDebug1Level&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to DEBUG1. This test sets the log level to DEBUG1 and then verifies that only logs of DEBUG or above are passed through to the emit() method. </p>

</div>
</div>
<a id="a701087a6570dc33ceb60e928818d9c01"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a701087a6570dc33ceb60e928818d9c01">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[22/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logDebug0Level&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to DEBUG1. This test sets the log level to DEBUG0 and then verifies that only logs of DEBUG or above are passed through to the emit() method. </p>

</div>
</div>
<a id="a2fa95684b6cdc65a57761162fd69ad31"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2fa95684b6cdc65a57761162fd69ad31">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[23/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logInfoLevel&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to INFO. This test sets the log level to INFO and then verifies that only logs of INFO or above are passed through to the emit() method. </p>

</div>
</div>
<a id="aad9feada159a3e79bcb2387c0db064cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad9feada159a3e79bcb2387c0db064cc">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[24/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logWarnLevel&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to WARN. This test sets the log level to WARN and then verifies that only logs of WARN or above are passed through to the emit() method. </p>

</div>
</div>
<a id="a3cba588a5bacdb6a794d2b017ab8bead"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cba588a5bacdb6a794d2b017ab8bead">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[25/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logErrorLevel&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to ERROR. This test sets the log level to ERROR and then verifies that only logs of ERROR or above are passed through to the emit() method. </p>

</div>
</div>
<a id="ad34c704b2dde927fcfdd7abeefc3d31b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad34c704b2dde927fcfdd7abeefc3d31b">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[26/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logCriticalLevel&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to CRITICAL. This test sets the log level to CRITICAL and then verifies that only CRITICAL logs are passed through to the emit() method. </p>

</div>
</div>
<a id="ab92f97cd7555414b8034b1a88a201cab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab92f97cd7555414b8034b1a88a201cab">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[27/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_logNoneLevel&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of log messages when the log level is set to NONE. This test sets the log level to NONE and then verifies that no logs are passed through to the emit() method. </p>

</div>
</div>
<a id="a7ca98527fb742e55aa0e08c49204aa18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7ca98527fb742e55aa0e08c49204aa18">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[28/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_nullInputs&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test to ensure that logger usage with possible nullptr inputs is robust. As some functionality is templated, we must test both char* and const char* variants, for <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html" title="LogEntry is used to compile the log entry text to log via Logger. ">LogEntry</a> construction, and the .d() and .m() functionality. </p>

</div>
</div>
<a id="aa6d352cfa44ac1fd0299ef6cde43c8eb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6d352cfa44ac1fd0299ef6cde43c8eb">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[29/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_verifyTime&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of appropriate time values from the logging system. This test captures the current time both before and after an invocation of ACDK_LOG_INFO and verifies that the time value passed to the emit() method is between (inclusive) the before and after times. </p>

</div>
</div>
<a id="aa8d4cb2adf58b8b24e1789f0982c28af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8d4cb2adf58b8b24e1789f0982c28af">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[30/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_verifyThreadMoniker&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test delivery of appropriate thread moniker values from the logging system. This test invokes ACSDK_INFO from two threads and verifies that the thread moniker values passed to the emit() method are in fact different. </p>

</div>
</div>
<a id="a024ba028e75476534532f12049365f66"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a024ba028e75476534532f12049365f66">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[31/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_verifySource&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test passing the source name through the logging system. The source name is a parameter of the <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html" title="LogEntry is used to compile the log entry text to log via Logger. ">LogEntry</a> constructor. Expect that the source parameter passed to the <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html" title="LogEntry is used to compile the log entry text to log via Logger. ">LogEntry</a> constructor is included in the text passed to the emit() method. </p>

</div>
</div>
<a id="a8f0107e0122588d98fd157b20efb7d8c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f0107e0122588d98fd157b20efb7d8c">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[32/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_verifyEvent&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test passing the event name through the logging system. The event name is a parameter of the <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html" title="LogEntry is used to compile the log entry text to log via Logger. ">LogEntry</a> constructor. Expect that the event parameter passed to the <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_log_entry.html" title="LogEntry is used to compile the log entry text to log via Logger. ">LogEntry</a> constructor is included in the text passed to the emit() method. </p>

</div>
</div>
<a id="a91fe56688d12fdf90e06e569235a125b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91fe56688d12fdf90e06e569235a125b">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[33/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_verifyMetadata&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test passing a metadata parameter to the logging system. Invokes ACSDK_INFO with a metadata parameter. Expects that that metadata is constructed properly (including the escaping of reserved characters) and that both the key and escaped value are included in the text passed to the emit() method. </p>

</div>
</div>
<a id="a86e1737c848dc318488936425c238e9b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a86e1737c848dc318488936425c238e9b">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[34/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_verifyMessage&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test passing a message parameter to the logging system. Invokes ACSDK_INFO with a message parameter. Expects that the message is included in text passed to the emit() method. </p>

</div>
</div>
<a id="abcdab4e1e0511f2aef56826472daa2ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abcdab4e1e0511f2aef56826472daa2ca">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[35/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_sensitiveDataSuppressed&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test passing sensitive data to the logging system. It should only be emitted in DEBUG builds. </p>

</div>
</div>
<a id="ace969a996a35a90951cfe7fc014ddd85"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ace969a996a35a90951cfe7fc014ddd85">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[36/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_moduleLoggerObserver&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test observer mechanism in the <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_module_logger.html">MockModuleLogger</a>. Expects that when the logLevel changes for the sink, the callback of the <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_module_logger.html">MockModuleLogger</a> is triggered. Also make sure any changes to sink's logLevel is ignored after the <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_module_logger.html">MockModuleLogger</a>'s logLevel has been set. </p>

</div>
</div>
<a id="a678a35c85e4173f7a97b31c48ac58c60"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a678a35c85e4173f7a97b31c48ac58c60">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[37/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_multipleModuleLoggerObservers&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test observer mechanism with multiple observers. Expects all observers to be notified of the logLevel change. </p>

</div>
</div>
<a id="a134c8d457f2069aa0ffe14a3d9dc8686"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a134c8d457f2069aa0ffe14a3d9dc8686">&#9670;&nbsp;</a></span>TEST_F() <span class="overload">[38/38]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::utils::logger::test::TEST_F </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_logger_test.html">LoggerTest</a>&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">test_changeSinkLogger&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Test changing of sink logger using the <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1_logger_sink_manager.html">LoggerSinkManager</a>. Expect the sink in ModuleLoggers will be changed. </p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a0e547fd4f132292717ab0f5631be3a43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0e547fd4f132292717ab0f5631be3a43">&#9670;&nbsp;</a></span>BAD_STATUS_CODE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const long alexaClientSDK::avsCommon::utils::logger::test::BAD_STATUS_CODE {0}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A status code that represents failure. </p>

</div>
</div>
<a id="aa083737b45e773066295f2b795682edd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa083737b45e773066295f2b795682edd">&#9670;&nbsp;</a></span>g_log</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_logger.html">MockLogger</a>&gt; alexaClientSDK::avsCommon::utils::logger::test::g_log</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Global to hold on to the current <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1logger_1_1test_1_1_mock_logger.html">MockLogger</a></code> to use. </p>

</div>
</div>
<a id="af88c4517d31415e7a774ca4550a76d42"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af88c4517d31415e7a774ca4550a76d42">&#9670;&nbsp;</a></span>SUCCESS_PARTIAL_CONTENT_STATUS_CODE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const long alexaClientSDK::avsCommon::utils::logger::test::SUCCESS_PARTIAL_CONTENT_STATUS_CODE {206}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A status code that represents partial content. </p>

</div>
</div>
<a id="ad4c136bfa340e496db9c869e15f76a4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad4c136bfa340e496db9c869e15f76a4f">&#9670;&nbsp;</a></span>SUCCESS_STATUS_CODE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const long alexaClientSDK::avsCommon::utils::logger::test::SUCCESS_STATUS_CODE {200}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A status code that represents success. </p>

</div>
</div>
<a id="a31fd125b90a1e4c3435a6e92b2c0d339"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31fd125b90a1e4c3435a6e92b2c0d339">&#9670;&nbsp;</a></span>TEST_CONTENT_TYPE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::test::TEST_CONTENT_TYPE {&quot;unknown&quot;}</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A content type. </p>

</div>
</div>
<a id="a79f4918790fbf5e8806b654e8f09999e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79f4918790fbf5e8806b654e8f09999e">&#9670;&nbsp;</a></span>TEST_EVENT_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::test::TEST_EVENT_STRING = &quot;[Some_Event_Worth_Logging]&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String used to test that the event component is logged. </p>

</div>
</div>
<a id="ab4dd1e7f440c35ca2410761d8c795375"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab4dd1e7f440c35ca2410761d8c795375">&#9670;&nbsp;</a></span>TEST_MESSAGE_CONST_NULL_CHAR_PTR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const char* alexaClientSDK::avsCommon::utils::logger::test::TEST_MESSAGE_CONST_NULL_CHAR_PTR = nullptr</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A const char* nullptr to verify the logger won't crash in degenerate cases. </p>

</div>
</div>
<a id="a6ddad955b6394cb7c9c0d4bf111866bd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ddad955b6394cb7c9c0d4bf111866bd">&#9670;&nbsp;</a></span>TEST_MESSAGE_NULL_CHAR_PTR</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">char* alexaClientSDK::avsCommon::utils::logger::test::TEST_MESSAGE_NULL_CHAR_PTR = nullptr</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>A char* nullptr to verify the logger won't crash in degenerate cases. </p>

</div>
</div>
<a id="a006c8f71d8365803d3dcf44823030cf3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a006c8f71d8365803d3dcf44823030cf3">&#9670;&nbsp;</a></span>TEST_MESSAGE_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::test::TEST_MESSAGE_STRING = &quot;Hello World!&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String used to test that the message component is logged. </p>

</div>
</div>
<a id="a646e73e50e5ed8a636853f01bf5caa04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a646e73e50e5ed8a636853f01bf5caa04">&#9670;&nbsp;</a></span>TEST_MESSAGE_STRING_1</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::test::TEST_MESSAGE_STRING_1 = &quot;World Hello!&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Another String used to test that the message component is logged. </p>

</div>
</div>
<a id="a7086e216e7e91137af5fa81a714bbc7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7086e216e7e91137af5fa81a714bbc7f">&#9670;&nbsp;</a></span>TEST_SOURCE_STRING</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::test::TEST_SOURCE_STRING = &quot;&lt;The_Source_Of_Log_Entries&gt;&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>String used to test that the source component is logged. </p>

</div>
</div>
<a id="abde2ac650cb456ba00256c5c1418c3a8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abde2ac650cb456ba00256c5c1418c3a8">&#9670;&nbsp;</a></span>UNESCAPED_METADATA_VALUE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const std::string alexaClientSDK::avsCommon::utils::logger::test::UNESCAPED_METADATA_VALUE = R&quot;(reserved_chars['\' ',' ':' '='])&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Metadata value with characters that must be escaped, to exercise the code that escapes metadata values. </p>

</div>
</div>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
